<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>include/gtrack_int.h File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">gtrack_int.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the internal header file for GTRACK Algorithm.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &quot;<a class="el" href="gtrack__listlib_8h.html">gtrack_listlib.h</a>&quot;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">union &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="union_m_a_t_r_i_x3x3.html">MATRIX3x3</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">3x3 Matrix Definition  <a href="union_m_a_t_r_i_x3x3.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">union &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="union_m_a_t_r_i_x4x4.html">MATRIX4x4</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">4x4 Matrix Definition  <a href="union_m_a_t_r_i_x4x4.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">union &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="union_m_a_t_r_i_x6x6.html">MATRIX6x6</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">6x6 Matrix Definition  <a href="union_m_a_t_r_i_x6x6.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_tracking_params.html">TrackingParams</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK Unit Parameters structure.  <a href="struct_tracking_params.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_unit_instance.html">GtrackUnitInstance</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK Unit instance structure.  <a href="struct_gtrack_unit_instance.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_gtrack_module_instance.html">GtrackModuleInstance</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">GTRACK Module instance structure.  <a href="struct_gtrack_module_instance.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a142be0790a3964e7465cd6e53770a2d6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="gtrack__int_8h.html#a142be0790a3964e7465cd6e53770a2d6">VERBOSE_ERROR_INFO</a>&#160;&#160;&#160;0x00000001</td></tr>
<tr class="memdesc:a142be0790a3964e7465cd6e53770a2d6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Macros that define values to use for <a class="el" href="struct_tracking_params.html#a32f22333a6e4d9bae9f434d3cfe0009a">TrackingParams::verbose</a> when specifying the required verboseness.  <a href="#a142be0790a3964e7465cd6e53770a2d6">More...</a><br /></td></tr>
<tr class="separator:a142be0790a3964e7465cd6e53770a2d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcf874e0c13c7c5a19d929ae103b1da5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="gtrack__int_8h.html#afcf874e0c13c7c5a19d929ae103b1da5">VERBOSE_WARNING_INFO</a>&#160;&#160;&#160;0x00000002</td></tr>
<tr class="separator:afcf874e0c13c7c5a19d929ae103b1da5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67c38ed436c132de5809f6d6bd3b93c1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="gtrack__int_8h.html#a67c38ed436c132de5809f6d6bd3b93c1">VERBOSE_DEBUG_INFO</a>&#160;&#160;&#160;0x00000004</td></tr>
<tr class="separator:a67c38ed436c132de5809f6d6bd3b93c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80360303af0c1541017655316fbcaee3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="gtrack__int_8h.html#a80360303af0c1541017655316fbcaee3">VERBOSE_MATRIX_INFO</a>&#160;&#160;&#160;0x00000008</td></tr>
<tr class="separator:a80360303af0c1541017655316fbcaee3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f42cee796d7a820b14ae77fa9298ce9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="gtrack__int_8h.html#a9f42cee796d7a820b14ae77fa9298ce9">VERBOSE_UNROLL_INFO</a>&#160;&#160;&#160;0x00000010</td></tr>
<tr class="separator:a9f42cee796d7a820b14ae77fa9298ce9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a541406eda331a587becbed7dd5e8a879"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="gtrack__int_8h.html#a541406eda331a587becbed7dd5e8a879">VERBOSE_STATE_INFO</a>&#160;&#160;&#160;0x00000020</td></tr>
<tr class="separator:a541406eda331a587becbed7dd5e8a879"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3ee2fd1698e3d15f67936cbf9a7787d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="gtrack__int_8h.html#ab3ee2fd1698e3d15f67936cbf9a7787d">VERBOSE_ASSOSIATION_INFO</a>&#160;&#160;&#160;0x00000040</td></tr>
<tr class="separator:ab3ee2fd1698e3d15f67936cbf9a7787d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefb85e164e4dbb50f69d880a49120e90"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="gtrack__int_8h.html#aefb85e164e4dbb50f69d880a49120e90">VERBOSE_GATEXY_INFO</a>&#160;&#160;&#160;0x00000080</td></tr>
<tr class="separator:aefb85e164e4dbb50f69d880a49120e90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff974d5b8321e1db2b9ac66a70fb6211"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="gtrack__int_8h.html#aff974d5b8321e1db2b9ac66a70fb6211">VERBOSE_GATERA_INFO</a>&#160;&#160;&#160;0x00000100</td></tr>
<tr class="separator:aff974d5b8321e1db2b9ac66a70fb6211"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1a5fd01dbf4e9d55292797436fbadf4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="gtrack__int_8h.html#aa1a5fd01dbf4e9d55292797436fbadf4">VERBOSE_GATEG1_INFO</a>&#160;&#160;&#160;0x00000200</td></tr>
<tr class="separator:aa1a5fd01dbf4e9d55292797436fbadf4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gae6cd873b8ef7433bb347d61af3f167f3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_o_d_u_l_e___f_u_n_c_t_i_o_n.html#gae6cd873b8ef7433bb347d61af3f167f3">gtrack_modulePredict</a> (<a class="el" href="struct_gtrack_module_instance.html">GtrackModuleInstance</a> *inst)</td></tr>
<tr class="separator:gae6cd873b8ef7433bb347d61af3f167f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga89de00903da0d194c6f561dc501dabfe"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_o_d_u_l_e___f_u_n_c_t_i_o_n.html#ga89de00903da0d194c6f561dc501dabfe">gtrack_moduleAssociate</a> (<a class="el" href="struct_gtrack_module_instance.html">GtrackModuleInstance</a> *inst, <a class="el" href="struct_g_t_r_a_c_k__measurement_point.html">GTRACK_measurementPoint</a> *point, uint16_t num)</td></tr>
<tr class="separator:ga89de00903da0d194c6f561dc501dabfe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3c16a30d0d0e4a211417d2e155e87993"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_o_d_u_l_e___f_u_n_c_t_i_o_n.html#ga3c16a30d0d0e4a211417d2e155e87993">gtrack_moduleAllocate</a> (<a class="el" href="struct_gtrack_module_instance.html">GtrackModuleInstance</a> *inst, <a class="el" href="struct_g_t_r_a_c_k__measurement_point.html">GTRACK_measurementPoint</a> *point, uint16_t num)</td></tr>
<tr class="separator:ga3c16a30d0d0e4a211417d2e155e87993"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga898cc5c80f24fb5a9d3fa4932e519442"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_o_d_u_l_e___f_u_n_c_t_i_o_n.html#ga898cc5c80f24fb5a9d3fa4932e519442">gtrack_moduleUpdate</a> (<a class="el" href="struct_gtrack_module_instance.html">GtrackModuleInstance</a> *inst, <a class="el" href="struct_g_t_r_a_c_k__measurement_point.html">GTRACK_measurementPoint</a> *point, <a class="el" href="struct_g_t_r_a_c_k__measurement_variance.html">GTRACK_measurementVariance</a> *var, uint16_t num)</td></tr>
<tr class="separator:ga898cc5c80f24fb5a9d3fa4932e519442"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae9c4d673ab363f0e8d8c26df946a7b3f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_o_d_u_l_e___f_u_n_c_t_i_o_n.html#gae9c4d673ab363f0e8d8c26df946a7b3f">gtrack_moduleReport</a> (<a class="el" href="struct_gtrack_module_instance.html">GtrackModuleInstance</a> *inst, <a class="el" href="struct_g_t_r_a_c_k__target_desc.html">GTRACK_targetDesc</a> *t, uint16_t *tNum)</td></tr>
<tr class="separator:gae9c4d673ab363f0e8d8c26df946a7b3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa77d1e9a2f3a64c3b529c4ebd7061d5a"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___u_n_i_t___f_u_n_c_t_i_o_n.html#gaa77d1e9a2f3a64c3b529c4ebd7061d5a">gtrack_unitCreate</a> (<a class="el" href="struct_tracking_params.html">TrackingParams</a> *params, int32_t *errCode)</td></tr>
<tr class="separator:gaa77d1e9a2f3a64c3b529c4ebd7061d5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2eaf3756d981a29fa4a6608f98cce1d6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___u_n_i_t___f_u_n_c_t_i_o_n.html#ga2eaf3756d981a29fa4a6608f98cce1d6">gtrack_unitDelete</a> (void *handle)</td></tr>
<tr class="separator:ga2eaf3756d981a29fa4a6608f98cce1d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac9721e68758aae9773796c303ca77def"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___u_n_i_t___f_u_n_c_t_i_o_n.html#gac9721e68758aae9773796c303ca77def">gtrack_unitStart</a> (void *handle, uint64_t timeStamp, uint32_t tid, float *um)</td></tr>
<tr class="separator:gac9721e68758aae9773796c303ca77def"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga04d4b956bc159beca7e45e183928399d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___u_n_i_t___f_u_n_c_t_i_o_n.html#ga04d4b956bc159beca7e45e183928399d">gtrack_unitStop</a> (void *handle)</td></tr>
<tr class="separator:ga04d4b956bc159beca7e45e183928399d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga00b3865f1f0176eee220db80cac2309e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___u_n_i_t___f_u_n_c_t_i_o_n.html#ga00b3865f1f0176eee220db80cac2309e">gtrack_unitPredict</a> (void *handle)</td></tr>
<tr class="separator:ga00b3865f1f0176eee220db80cac2309e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad9bb8a60e6a86d5bb07f389c015268db"><td class="memItemLeft" align="right" valign="top"><a class="el" href="gtrack__int_8h.html#a5e9684d2e87fbf099474d8ece4c3a69c">TrackState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___u_n_i_t___f_u_n_c_t_i_o_n.html#gad9bb8a60e6a86d5bb07f389c015268db">gtrack_unitUpdate</a> (void *handle, <a class="el" href="struct_g_t_r_a_c_k__measurement_point.html">GTRACK_measurementPoint</a> *point, <a class="el" href="struct_g_t_r_a_c_k__measurement_variance.html">GTRACK_measurementVariance</a> *var, uint8_t *pInd, uint16_t num)</td></tr>
<tr class="separator:gad9bb8a60e6a86d5bb07f389c015268db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga480b437835aa811dbff0b2786f068179"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___u_n_i_t___f_u_n_c_t_i_o_n.html#ga480b437835aa811dbff0b2786f068179">gtrack_unitScore</a> (void *handle, <a class="el" href="struct_g_t_r_a_c_k__measurement_point.html">GTRACK_measurementPoint</a> *point, float *bestScore, uint8_t *bestInd, uint16_t num)</td></tr>
<tr class="separator:ga480b437835aa811dbff0b2786f068179"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga28b01cfed835e3101f7ecfe898c5afad"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___u_n_i_t___f_u_n_c_t_i_o_n.html#ga28b01cfed835e3101f7ecfe898c5afad">gtrack_unitEvent</a> (void *handle, uint16_t num)</td></tr>
<tr class="separator:ga28b01cfed835e3101f7ecfe898c5afad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga288560456dff7cf2ca2be6d168ff1717"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___u_n_i_t___f_u_n_c_t_i_o_n.html#ga288560456dff7cf2ca2be6d168ff1717">gtrack_unitReport</a> (void *handle, <a class="el" href="struct_g_t_r_a_c_k__target_desc.html">GTRACK_targetDesc</a> *target)</td></tr>
<tr class="separator:ga288560456dff7cf2ca2be6d168ff1717"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabcece06aec5c9eb7577a833366fb3db7"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___u_t_i_l_i_t_y___f_u_n_c_t_i_o_n.html#gabcece06aec5c9eb7577a833366fb3db7">gtrack_unrollRadialVelocity</a> (float rvMax, float rvExp, float rvIn)</td></tr>
<tr class="separator:gabcece06aec5c9eb7577a833366fb3db7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1d52d96557a8c24880440281cdcbed3b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___u_t_i_l_i_t_y___f_u_n_c_t_i_o_n.html#ga1d52d96557a8c24880440281cdcbed3b">gtrack_spherical2cartesian</a> (<a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf4e7f0c554d80908c50d5bbdc233ce6c">GTRACK_STATE_VECTOR_TYPE</a> format, float *sph, float *cart)</td></tr>
<tr class="separator:ga1d52d96557a8c24880440281cdcbed3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6ff43537e4a3cabacc2a5d0c0d5c86a1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___u_t_i_l_i_t_y___f_u_n_c_t_i_o_n.html#ga6ff43537e4a3cabacc2a5d0c0d5c86a1">gtrack_cartesian2spherical</a> (<a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf4e7f0c554d80908c50d5bbdc233ce6c">GTRACK_STATE_VECTOR_TYPE</a> format, float *cart, float *sph)</td></tr>
<tr class="separator:ga6ff43537e4a3cabacc2a5d0c0d5c86a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga43d97bc40b5cbbcf10ffc095d434401d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___u_t_i_l_i_t_y___f_u_n_c_t_i_o_n.html#ga43d97bc40b5cbbcf10ffc095d434401d">gtrack_computeJacobian</a> (<a class="el" href="group___g_t_r_a_c_k___a_l_g___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf4e7f0c554d80908c50d5bbdc233ce6c">GTRACK_STATE_VECTOR_TYPE</a> format, float *cart, float *jac)</td></tr>
<tr class="separator:ga43d97bc40b5cbbcf10ffc095d434401d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga70fc6fbaf4df8bacc7179e0e6cd9ac81"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___u_t_i_l_i_t_y___f_u_n_c_t_i_o_n.html#ga70fc6fbaf4df8bacc7179e0e6cd9ac81">isPointInsideBox</a> (float x, float y, <a class="el" href="struct_g_t_r_a_c_k__boundary_box.html">GTRACK_boundaryBox</a> *box)</td></tr>
<tr class="separator:ga70fc6fbaf4df8bacc7179e0e6cd9ac81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga897e9e402177698137930fcae024867a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_a_t_h___f_u_n_c_t_i_o_n.html#ga897e9e402177698137930fcae024867a">gtrack_matrixMultiply</a> (uint16_t m1, uint16_t m2, uint16_t m3, float *A, float *B, float *C)</td></tr>
<tr class="separator:ga897e9e402177698137930fcae024867a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga31aa52b00bd9703a362522cbcee10c9f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_a_t_h___f_u_n_c_t_i_o_n.html#ga31aa52b00bd9703a362522cbcee10c9f">gtrack_matrixMultiply66</a> (float *A, float *B, float *C)</td></tr>
<tr class="separator:ga31aa52b00bd9703a362522cbcee10c9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7bc11af54451eda625d787e49c07a23b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_a_t_h___f_u_n_c_t_i_o_n.html#ga7bc11af54451eda625d787e49c07a23b">gtrack_matrixMultiply66T</a> (float *A, float *B, float *C)</td></tr>
<tr class="separator:ga7bc11af54451eda625d787e49c07a23b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4d3aedfb1331da8bb0a571bf0bde1986"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_a_t_h___f_u_n_c_t_i_o_n.html#ga4d3aedfb1331da8bb0a571bf0bde1986">gtrack_matrixComputePJT</a> (float *P, float *J, float *PJ)</td></tr>
<tr class="separator:ga4d3aedfb1331da8bb0a571bf0bde1986"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga506a894acc4f9f1bbffef253e29ddc63"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_a_t_h___f_u_n_c_t_i_o_n.html#ga506a894acc4f9f1bbffef253e29ddc63">gtrack_matrixTransposeMultiply</a> (uint16_t rows, uint16_t m, uint16_t cols, float *A, float *B, float *C)</td></tr>
<tr class="separator:ga506a894acc4f9f1bbffef253e29ddc63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3384d3425f80d6913e44d60a82116c0e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_a_t_h___f_u_n_c_t_i_o_n.html#ga3384d3425f80d6913e44d60a82116c0e">gtrack_matrixScalerMultiply</a> (uint16_t m1, uint16_t m2, float *A, float C, float *B)</td></tr>
<tr class="separator:ga3384d3425f80d6913e44d60a82116c0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad2bcc1b4121b45bc3bbaaa716b634a9b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_a_t_h___f_u_n_c_t_i_o_n.html#gad2bcc1b4121b45bc3bbaaa716b634a9b">gtrack_matrixAdd</a> (uint16_t m1, uint16_t m2, float *A, float *B, float *C)</td></tr>
<tr class="separator:gad2bcc1b4121b45bc3bbaaa716b634a9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga33c08c4481499ac173f8577df4417059"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_a_t_h___f_u_n_c_t_i_o_n.html#ga33c08c4481499ac173f8577df4417059">gtrack_matrixSub</a> (uint16_t m1, uint16_t m2, float *A, float *B, float *C)</td></tr>
<tr class="separator:ga33c08c4481499ac173f8577df4417059"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga968a545858920d5fa0c7d9604c664096"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_a_t_h___f_u_n_c_t_i_o_n.html#ga968a545858920d5fa0c7d9604c664096">gtrack_matrixDet3</a> (float *A, float *det)</td></tr>
<tr class="separator:ga968a545858920d5fa0c7d9604c664096"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9d0aafdae5cb37806245b50b06991cbd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_a_t_h___f_u_n_c_t_i_o_n.html#ga9d0aafdae5cb37806245b50b06991cbd">gtrack_matrixInv3</a> (float *A, float *Ainv)</td></tr>
<tr class="separator:ga9d0aafdae5cb37806245b50b06991cbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9fc07cf3d9a4a08c3a19c5a4d7a31a96"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_a_t_h___f_u_n_c_t_i_o_n.html#ga9fc07cf3d9a4a08c3a19c5a4d7a31a96">gtrack_matrixMakeSymmetrical</a> (uint16_t m, float *A, float *B)</td></tr>
<tr class="separator:ga9fc07cf3d9a4a08c3a19c5a4d7a31a96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac93897f2ea553c9a90d7376173bc7b51"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_a_t_h___f_u_n_c_t_i_o_n.html#gac93897f2ea553c9a90d7376173bc7b51">gtrack_matrixCholesky3</a> (float *A, float *G)</td></tr>
<tr class="separator:gac93897f2ea553c9a90d7376173bc7b51"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This is the internal header file for GTRACK Algorithm. </p>
<dl class="section user"><dt></dt><dd>NOTE: (C) Copyright 2017 Texas Instruments, Inc.</dd></dl>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
<p>Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</div><h2 class="groupheader">Macro Definition Documentation</h2>
<a class="anchor" id="ab3ee2fd1698e3d15f67936cbf9a7787d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define VERBOSE_ASSOSIATION_INFO&#160;&#160;&#160;0x00000040</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Report association data </p>

</div>
</div>
<a class="anchor" id="a67c38ed436c132de5809f6d6bd3b93c1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define VERBOSE_DEBUG_INFO&#160;&#160;&#160;0x00000004</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Report Debuging information </p>

</div>
</div>
<a class="anchor" id="a142be0790a3964e7465cd6e53770a2d6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define VERBOSE_ERROR_INFO&#160;&#160;&#160;0x00000001</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Macros that define values to use for <a class="el" href="struct_tracking_params.html#a32f22333a6e4d9bae9f434d3cfe0009a">TrackingParams::verbose</a> when specifying the required verboseness. </p>
<p>Report Errors </p>

</div>
</div>
<a class="anchor" id="aa1a5fd01dbf4e9d55292797436fbadf4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define VERBOSE_GATEG1_INFO&#160;&#160;&#160;0x00000200</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Report unitary gating </p>

</div>
</div>
<a class="anchor" id="aff974d5b8321e1db2b9ac66a70fb6211"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define VERBOSE_GATERA_INFO&#160;&#160;&#160;0x00000100</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Report gating in range/angle space </p>

</div>
</div>
<a class="anchor" id="aefb85e164e4dbb50f69d880a49120e90"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define VERBOSE_GATEXY_INFO&#160;&#160;&#160;0x00000080</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Report gating in XY space </p>

</div>
</div>
<a class="anchor" id="a80360303af0c1541017655316fbcaee3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define VERBOSE_MATRIX_INFO&#160;&#160;&#160;0x00000008</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Report Matrix math computations </p>

</div>
</div>
<a class="anchor" id="a541406eda331a587becbed7dd5e8a879"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define VERBOSE_STATE_INFO&#160;&#160;&#160;0x00000020</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Report state transitions </p>

</div>
</div>
<a class="anchor" id="a9f42cee796d7a820b14ae77fa9298ce9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define VERBOSE_UNROLL_INFO&#160;&#160;&#160;0x00000010</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Report velocity unrolling data </p>

</div>
</div>
<a class="anchor" id="afcf874e0c13c7c5a19d929ae103b1da5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define VERBOSE_WARNING_INFO&#160;&#160;&#160;0x00000002</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Report Warnings </p>

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a class="anchor" id="a5e9684d2e87fbf099474d8ece4c3a69c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="gtrack__int_8h.html#a5e9684d2e87fbf099474d8ece4c3a69c">TrackState</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>GTRACK Unit State. </p>
<p>The structure describes GTRACK unit states </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="a5e9684d2e87fbf099474d8ece4c3a69caa40bbfef4a774f5156de835211743a79"></a>TRACK_STATE_FREE&#160;</td><td class="fielddoc">
<p>Free (not allocated) </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a5e9684d2e87fbf099474d8ece4c3a69ca0749756667dd4257f03983695c8f1c65"></a>TRACK_STATE_INIT&#160;</td><td class="fielddoc">
<p>INIT. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a5e9684d2e87fbf099474d8ece4c3a69cafbd75f35c5b1a612b3eceafe85adaa89"></a>TRACK_STATE_DETECTION&#160;</td><td class="fielddoc">
<p>DETECTION State. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a5e9684d2e87fbf099474d8ece4c3a69ca5b8a0290e45d9bcc52425251af2917da"></a>TRACK_STATE_ACTIVE&#160;</td><td class="fielddoc">
<p>ACTIVE State. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="a7936ffef1c9c3fa4f8598728bb6362a6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="gtrack__int_8h.html#a7936ffef1c9c3fa4f8598728bb6362a6">VelocityHandlingState</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>GTRACK Unit Velocity Handling State. </p>
<p>The structure describes GTRACK velocity handling states </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="a7936ffef1c9c3fa4f8598728bb6362a6a920ac47d5e6454eba29b11f1aa9fbcef"></a>VELOCITY_INIT&#160;</td><td class="fielddoc">
<p>INIT. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a7936ffef1c9c3fa4f8598728bb6362a6a3d469501e59b0ba655f3192849855803"></a>VELOCITY_RATE_FILTER&#160;</td><td class="fielddoc">
<p>Range Rate filtering. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a7936ffef1c9c3fa4f8598728bb6362a6a79926d963df306778061e181690fce13"></a>VELOCITY_TRACKING&#160;</td><td class="fielddoc">
<p>Stabilizing Velocity Estimation. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a7936ffef1c9c3fa4f8598728bb6362a6ab8997b2374cb0ff564dc6c6053cb378c"></a>VELOCITY_LOCKED&#160;</td><td class="fielddoc">
<p>Locked. </p>
</td></tr>
</table>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
